<?php
/**
 * Direct.
 * @package magic.core
 * @subpackage helper.action.impl
 */
/**
 * レンダリングを実行しない場合に使用するクラスです.
 * <p>
 * 予めActionクラスでHTTPヘッダを送出した後の、
 * ファイルのダウンロードなどに使用します。<br/>
 * このクラスがコールされると、Viewクラスをロードせずに終了します。
 * </p>
 * @package magic.core
 * @subpackage helper.action.impl
 * @author T.Okumura
 * @version 1.0.0
 * @final
 */
final class Direct extends ActionResult {
    /**
     * コンストラクタ.
     */
    public function __construct() {
    }
    /**
     * 処理を終了します.
     * @param NameConfigure $name 命名規則設定クラス
     * @param PathConfigure $path パス設定クラス
     * @param RouteConfigure $route ルート設定クラス
     * @see ActionResult::execute()
     */
    public function execute(NameConfigure $name, PathConfigure $path, RouteConfigure $route) {
        exit();
    }
}
// EOF.